2011-08-30  Chris Toshok  <toshok@gmail.com>

	prepend $(CURDIR) to jay input files so that the debugging info
	references the right .jay

2009-01-09  Miguel de Icaza  <miguel@novell.com>

	* Add support for `strict' in .method declaration

2008-02-21  Ankit Jain  <jankit@novell.com>

	Fix bug #363587
	* Driver.cs: Use Report.Message for emitting messages.
	* Report.cs (AssembleFile): Honor 'quiet'.
	Patch from Andrea Carlo Ornstein <andrea.ornstein@st.com>

2008-02-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* Driver.cs: Removed crazy logic prevent debug symbol from being
	created when /debug is set. 

2008-02-06  Ankit Jain  <jankit@novell.com>

	Fix bug #358496.
	* ExternMethodRef.cs (ResolveVararg): Fix the check for sentinel.

2007-12-31  Rodrigo Kumpera <rkumpera@novell.com>

	* ilasm.exe.sources: added EmiteByteInst.cs.

2006-06-07  Ankit Jain  <jankit@novell.com>

	* Report.cs (Report.FilePath): New, static property.
	(Report.Error): Remove overload with file_path param.
	(Report.Warning): New.
	* Driver.cs (DriverMain.Run): Set Report.FilePath .
	(DriverMain.ProcessFile): Update use of Report.Error .
	

2006-05-26  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add Assembly.cs
	* Driver.cs: Update to use the new Assembly class.

2006-05-26  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add PermissionMember.cs, PermissionSet.cs &
	Permission.cs

2006-05-11  Ankit Jain  <jankit@novell.com>

	* Report.cs (Report.Error): Add 2 new overloads.
	(ILAsmException.ctor): Add 2 new overloads, with location and file_path
	params.
	(ILAsmException.Location):
	(ILAsmException.FilePath): New properties.
	(ILAsmException.ToString): Return formatted error message.
	* Driver.cs (DriverMain.ProcessFile): Improve error message display.
	(DriverMain.Run): Use ILAsmException.ToString (). 

2006-05-09  Sebastien Pouliot  <sebastien@ximian.com>

	* Driver.cs: Move up the loading of the strongname key pair to allow
	embedding the public part into the assembly. Also don't try to sign
	netmodules.

2006-04-24  Ankit Jain  <jankit@novell.com>

	* Driver.cs (DriverMain.Run): Update use of CodeGen.ctor .

2006-02-20  Ankit Jain  <jankit@novell.com>

	* Report.cs (Report): Make all methods,fields static.
	(Report.Error): Update to throw ILAsmException.
	(ILAsmException): New.
	(InternalErrorException): New. Derive from ILAsmException.
	* Driver.cs (Driver.Run): Catch ILAsmException and PEFileException and
	print error messages instead of dumping the stack trace, and delete the
	output file if CodeGen.Write() fails.
	Move the check for entrypoint from CodeGen.Write to here.

2006-01-19  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add Module.cs to the build.

2006-01-13  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Replace IMethodRef.cs with BaseMethodRef.cs

2006-01-09  Ankit Jain  <jankit@novell.com>

        * ilasm.exe.sources: Replace GenericTypeRef.cs with GenericParamRef.cs

2006-01-07  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add GenericParameters.cs to the build.

2006-01-06  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Remove ExternTypeRefInst from build.

2005-12-21  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add GenericArguments.cs to the build.

2005-08-26  Kornél Pál  <kornelpal@hotmail.com>

	* AssemblyInfo.cs: Using Consts.MonoVersion instead of MonoVersion.cs.
	* ilasm.exe.sources: Using Consts.MonoVersion instead of MonoVersion.cs.

2005-08-05  Ankit Jain  <jankit@novell.com>

	* ilasm.exe.sources: Add DeclSecurity.cs to the build.

2005-05-12  Ankit Jain  <ankit@corewars.org>

	* Makefile (LOCAL_MCS_FLAGS): Use the in-tree PEAPI.dll as its public
	interface has changed a bit, so avoid clash with older installed
	dll.

2005-04-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (PROGRAM): Make profile-specific.

2004-12-08  Sebastien Pouliot  <sebastien@ximian.com>

	* Driver.cs: Added support for /key option to strongname assemblies
	produced by ilasm. Fix bug #69721.
	* Makefile: Added dependency on Mono.Security.dll assembly to provide
	strongnaming support.

2004-12-02  Miguel de Icaza  <miguel@ximian.com>

	* CodeGen.cs: Correctly compute the name of a nested class,
	currently it was ignoring anything above level 1.

2004-07-27  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: Make debug switch compatible with MS's add debug to
	the usage.

2004-07-27  Martin Baulig  <martin@ximian.com>

	Added debugging support to ilasm :-)

	* Makefile: Depend on Mono.CSharp.Debugger.dll (this is only
	exposed in DebuggingInfo.cs, so we can easily change that).

	* Driver.cs: Added --debug command line argument to create
	debugging info; this'll create a .mdb symbol file.

2004-06-26  Jackson Harper  <jackson@ximian.com>

	* Report.cs: Fix quiet.
	
2004-06-24  Jackson Harper  <jackson@ximian.com>

	* Report.cs: Add new mehtod for displaying messages.
	
2004-06-23  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: Use the same success message as MS.
	
2004-06-19  Jackson Harper  <jackson@ximian.com>

	* ilasm.exe.sources: Add MethodPointerTypeRef.cs to the build.
	
2004-06-14  Jackson Harper  <jackson@ximian.com>

	* ilasm.exe.sources: Add FileRef.cs
	
2004-06-10  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: Handle tokenization errors with the correct error
	message.
	* Report.cs: Print error messages properly. Add an extra \n after
	the assemble file message.
	* ilasm.exe.sources: Add new exception, remove old one.
	
2004-06-04  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: Do everything using the invariant culture.
	
2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile: Get libs from the default profile directory
	
2004-04-05  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: Accept output option. Usage shows /output instead of
	/out like MS.
	
2004-04-01  Jackson Harper  <jackson@ximian.com>

	* Driver.cs: The parser now needs to take a scanner object in its
	constructor so it can set a flag when parsing byte arrays.
	
2004-02-18  Jackson Harper <jackson@ximian.com>

	* ilasm.exe.sources: Add ExternTypeRefInst to the build.
	
2003-11-16 Jackson Harper <jackson@ximian.com>

	* Driver.cs: Give the parser an instance of the stream reader so
	it can get the streams encoding.
	
2003-11-16 Jackson Harper <jackson@ximian.com>

	* Driver.cs: If an arg isn't a switch and starts with a / add it
	as a file to be compiled. This fixes bug #51041.
	
2003-10-28 Jackson Harper <jackson@ximian.com>

	* Driver.cs: Stub some command line args to maintain compatibility
	with MS.
	
2003-10-01 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Remove delete on error, add quiet option.
	* Report.cs: Can be quiet
		
2003-09-21 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Give codegen a report object
	* Report.cs: Remove silly methods that wouldnt have worked. Errors
	are just string messages.
	
2003-08-14 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Report entry for each il file processed
	* Report.cs: New file - All error/warning/progress reporting will
	go through here.
	* ilasm.exe.sources: Add report to build
		
2003-08-12 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Bump up the vizzity-version number.
		
2003-07-30 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Throw compile errors for now
	
2003-07-30 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add some basic line number feedback when an error
	occurs
	
2003-07-17 Jackson Harper <jackson@latitudegeo.com>

	* ilasm.exe.sources: Add corlib/GenericTypeRef.cs to build
	
2003-07-15 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Use WriteLine for 'compilation succeeded' message.
		
2003-07-16  Peter Williams  <peter@newton.cx>

	* Makefile (ILParser.cs): Move this from parser/ so we avoid
	slash direction issues on the Windows build.

	* .cvsignore: Add ILParser.cs here.

2003-07-14 Jackson Harper <jackson@latitudegeo.com>

	* Makefile: Add the class/lib directory to the lib path so the
	newest PEAPI is allways loaded.
	
2003-06-08 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Bump version number up (way up) lots of
	features have been implemented since last version.
		
2003-05-19 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Exit with 1 return code when no arguments are supplied.
		
2003-05-19 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add command switch to delete output files created if
	there is an error. 
		
2003-05-19 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Print error exception when compilation fails.
		
2003-05-18 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Return an error code if any errors occur during
	compiling. Also print a success or error message.
		
2003-05-02 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Bump up version number
		
2003-04-30 Jackson Harper <jackson@latitudegeo.com>

	* makefile: Add instructions to build
	* makefile.gnu: Add instructions to build
	
2003-04-20 Jackson Harper <jackson@latitudegeo.com>

	* makefile: Add DataDef to build
	* makefile.gnu: Add DataDef to build
		
2003-04-17 Jackson Harper <jackson@latitudegeo.com>

	* makefile: Add new types to build
	* makefile.gnu: Add new types to build
		
2003-04-17 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Increase version number.
		
2003-04-17 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Call new codegen methods.
	* makefile: Add new types to build
	* makefile.gnu: Add new types to build
		
2003-03-31 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: de-tabbify
		
2003-03-29 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add switch to display parser debugging information.
		
2003-03-16 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add switch to display method definitions and references.

2003-03-16 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add switch to display tokens as they are generated.

2003-03-15 Jackson Harper <jackson@latitudegeo.com>

	* makefile, makefile.gnu: Add FieldTable to build
	
Fri Mar 14 10:06:49 CET 2003 Paolo Molaro <lupus@ximian.com>

	* codegen/InstrTable.cs: fix break instruction name.
	* codegen/Method.cs: use ArgumentNullException.
	* parser/ILParser.jay: handle stdcall convention.

2003-03-08 Jackson Harper <jackson@latitudegeo.com>

	* makefile, makefile.gnu: Add InstrTable to build

2003-03-08 Jackson Harper <jackson@latitudegeo.com>

	* makefile, makefile.gnu: Add MethodTable and TypeRef to build.

2003-03-08 Jackson Harper <jackson@latitudegeo.com>

	* makefile, makefile.gnu: Add ExternTable to build

2003-03-08 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: If a file does not exist print an error and exit.

2003-03-07 Alp Toker <alp@atoker.com>

	* makefile, makefile.gnu: reference PEAPI.dll instead of including
	PEAPI.cs

2003-03-06 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Bump up version number, this new version is a major 
	structural change, PEAPI is now being used for code emission.
	* makefile, makefile.gnu: Add AssemblyInfo.cs to build
	
2003-03-06 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Check that all types are defined before writing pe file
	
2003-03-06 Jackson Harper <jackson@latitudegeo.com>

	* makefile, makefile.gnu: Include PEAPI.cs instead of linking to it, this fixes build but is not ideal.

2003-03-06 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Change a few calls to match new CodeGen
	* makefile: Build with PEAPI
	* makefile.gnu: Build with PEAPI

2003-02-22 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add version option, fix bug that allowed -- switches to be invoked with /-

2003-02-21 Jackson Harper <jackson@latitudegeo.com>

	* AssemblyInfo.cs: Add file
	* makefile: Add AssemblyInfo to build
	* makefile.gnu: Add AssemblyInfo to build

2003-02-08 Jackson Harper <jackson@latitudegeo.com>

	* makefile: Add TypeManager.cs to build
	* makefile.gnu: Add TypeManager.cs to build

2003-02-03 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Remove some debugging info.

2003-02-02 Jackson Harper <jackson@latitudegeo.com>

	* makefile.gnu: Use new Driver.cs instead of Main.cs

2003-02-02 Jackson Harper <jackson@latitudegeo.com>

	* Driver.cs: Add new Driver
	* tests: Add new tests directory
	* makefile: Use new Driver.cs instead of Main.cs
